#include <math.h>
#define SQR(x) ((x)*(x))
#define FMAX(x,y) ((x)>(y)?(x):(y))
#define FMIN(x,y) ((x)<(y)?(x):(y))
#define SIGN(a,b) ((b)>=0.0 ? fabs(a) : -fabs(a))

long double *ldvector(int nl,int nh);
long double **ldmatrix(int nrl,int nrh,int ncl,int nch);
void free_ldvector(long double *v, int nl,int nh);
void free_ldmatrix(long double **m, int nrl,int nrh,int ncl,int nch);
